<div
  [ngClass]="[
    'e-walidata-filter-business-field',
    jds.d('flex'),
    jds.alignItems('center')
  ]"
>
  <ng-select
    #sort
    [(ngModel)]="filterData"
    [searchable]="true"
    [clearable]="true"
    [items]="listBusinessField.isSuccess ? listBusinessField.data.list : []"
    (change)="onFilter($event ? $event.kode_bidang_urusan : null)"
    bindValue="kode_bidang_urusan"
    bindLabel="nama_bidang_urusan"
    placeholder="Pilih Bidang Urusan"
  >
    <ng-template
      ng-label-tmp
      let-item="item"
    >
      {{ item.kode_bidang_urusan }} - {{ item.nama_bidang_urusan }}
    </ng-template>
    <ng-template
      ng-option-tmp
      let-item="item"
      let-index="index"
    >
      <div [ngClass]="[jds.d('flex'), jds.gap(4)]">
        <span>{{ item.kode_bidang_urusan }}</span>
        <span>-</span>
        <span>{{ item.nama_bidang_urusan }}</span>
      </div>
    </ng-template>
  </ng-select>
</div>
